function [K] = build_intrisic_mat(im_size,im_size_padded,focal_length)

m = im_size(1);
n = im_size(2);
mp = im_size_padded(1);
np = im_size_padded(2);

fl = max(m,n)*focal_length/36; % is the focal length in pixels
x0 = np/2;
y0 = mp/2;
K = [fl,0,x0;0,fl,y0;0,0,1];